package main

import (
	"os"
	"path/filepath"
	"strings"
	"time"
)

///////////////////////////////////






// удалить начальную подстроку
func removePrefix(s string, prefix string) string {
	return strings.TrimPrefix(s, prefix)
}
/////////////////////////////////////////


func getFileExtension(filename string) string {
	return filepath.Ext(filename)
}
////////////////////////////////////////////////

// есть такое значение в массиве строк
func existsValInStringArr(arr []string, val string) bool {
	if arr == nil{
		return false
	}
	for _, n := range arr {
		if n == val {
			return true
		}
	}
	return false
}
///////////////////////////////////////////////

// есть такое значение в массиве int
func ExistsValInArr(arr []int, val int) bool {
	if arr == nil{
		return false
	}
	for _, n := range arr {
		if n == val {
			return true
		}
	}
	return false
}





// это бинарный файл?
func isBinaryFile(filename string) bool {
	ext := filepath.Ext(filename)
	if ext==".txt" || ext==".js" || ext==".htm" || ext==".html" || ext==".xml" || ext==".php" || ext==".go"  || ext==".log" || ext==".json" || ext==".ini" || ext==".conf"{
		return false
	}
	return true
/*
	file, err := os.Open(filename)
	if err != nil {
		panic(err)
	}
	defer file.Close()

	scanner := bufio.NewScanner(file)
	scanner.Split(bufio.ScanBytes)

	for scanner.Scan() {
		b := scanner.Bytes()[0]
		if b == 0 {
			return true
		}
		if b < 32 || b > 126 {
			return true
		}
	}
*/
	return false
}
///////////////////////////////////////////

// для тестирования
func XXXXaddLogsLine(str string){
	if !isTesting{
		return
	}
	currentTime := time.Now()
	dateString := currentTime.Format("2006_01_02_15_04_05")
	str=dateString+"\r\n"+str

	file:=GetMainPathExeFile()+"/process_log.txt"
	file= strings.ReplaceAll(file, "\\", "/")
	f, _ := os.OpenFile(file, os.O_APPEND, 0666)
	f.WriteString(str + "\n")
	//	fmt.Println("Запись: ", err);
	defer f.Close()
}
////////////////////////////////////////////////////